using qdr.app.bundleboiler.business.Services.Interfaces;
using qdr.app.bundleboiler.data.Dtos;
using qdr.app.bundleboiler.data.Model;
using qdr.app.bundleboiler.data.Repositories;
using Quadarax.Foundation.Core.Attributes;
using Quadarax.Foundation.Core.Data;
using Quadarax.Foundation.Core.Data.Interface.Entity.Dto;
using Quadarax.Foundation.Core.Logging;

namespace qdr.app.bundleboiler.business.Services
{
    [DiModule]
    [DiImplementsOf(typeof(IEnumerationService), LifeCycleTypeEnum.Scoped)]
    public class EnumerationService : BaseService<EnumerationRepo>, IEnumerationService
    {
        public EnumerationService(EnumerationRepo repository, IOptions options, ILogger logger) : base(repository, options, logger)
        {
        }

        public ResultBoolDto Contains(EnumClassType type, string code)
        {
            throw new NotImplementedException();
        }

        public ResultValueDto<EnumerationDto> Create(EnumerationDto dto)
        {
            throw new NotImplementedException();
        }

        public ResultBoolDto Delete(long id)
        {
            throw new NotImplementedException();
        }

        public ResultValueDto<EnumerationDto> Get(long id)
        {
            throw new NotImplementedException();
        }

        public ResultValueDto<EnumerationDto> Get(EnumClassType type, string code)
        {
            throw new NotImplementedException();
        }

        public ResultsValueDto<EnumerationDto> GetAll(IPaging page, params EnumClassType[]? classes)
        {
            throw new NotImplementedException();
        }

        public ResultValueDto<EnumerationDto> Update(EnumerationDto dto)
        {
            throw new NotImplementedException();
        }
    }
}
